--[[  STEAMTRAINS UNLIMITED - ALL RIGHTS RESERVED - COPYRIGHT 2015  ]]--
--[[																]]--
--[[ 		 THE GATWICK FLYER									    ]]--
--[[		 ENGINE: CLASS 442 WESSEX			  					]]--
--[[ 		   DEP: 2.05PM BRIGHTON 4			    				]]--
--[[		   ARR: 3.10PM LONDON VICTORIA 1						]]--		
--[[ 				      SCRIPT TYPE: LUA				 		    ]]--
--[[														  	    ]]--
--[[  Created by: Mr R.C. de Visser - Rotterdam - The Netherlands.  ]]--


--[[ FILE LOCATIONS: ]]--
-- C:\Program Files (x86)\Steam\steamapps\common\RailWorks\Content\Routes\00000034-a000-0000-0000-000000002012\Scenarios\c18f05c1-43dd-41e0-af61-87d5cc5306e6


--[[ DEFINITIONS AND DECLARATIONS ]]--

FALSE = 0
TRUE = 1

CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

MT_INFO = 0			
MT_ALERT = 1		

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2


--[[ EVENT TRIGGERING ]]--

function OnEvent ( event )



--[[ Intro ]]--

	if ( event == "intro" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Steamtrains Unlimited", "intro.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
	
	
	
--[[ Cinematic Camera: ]]-- 
	
	if ( event == "cam" ) then -- Panning Brighton platform
		SysCall ( "CameraManager:ActivateCamera", "cam", 0 );
	end
	
	 

--[[ start	]]--
		
	if ( event == "start" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Your shift", "start.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
		SysCall ( "CameraManager:ActivateCamera", "CabCamera", 0 );
	end
	
	
	
--[[ couple	and SPAD ]]--
		
	if ( event == "couple" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Couple at Gatwick", "couple.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
	
	
	
			
	if ( event == "spad" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "SPAD Clearance", "spad.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
	
	
	
	
--[[ Purley Steam Gala	]]--
		
	if ( event == "purley" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Purley Steam Gala", "purley.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
	
	

	
--[[ Clapham Junction	]]--
		
	if ( event == "clapham" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Clapham Junction", "clapham.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
		
	

	
--[[ Outro ]]--
	
	if ( event == "outro" ) then 
		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Final words", "outro.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
	end
	
	
	
	
end